## gffread 0.11.2

=== Makefile ===
GCLDIR := $(if $(GCLDIR),$(GCLDIR),../gclib)

SEARCHDIRS := -I. -I${GCLDIR}

SYSTYPE :=     $(shell uname)

CXX   := $(if $(CXX),$(CXX),g++)
LINKER  := $(if $(LINKER),$(LINKER),g++)

LDFLAGS := $(if $(LDFLAGS),$(LDFLAGS),-g)

BASEFLAGS  := -Wall -Wextra ${SEARCHDIRS} -D_FILE_OFFSET_BITS=64 \
-D_LARGEFILE_SOURCE -D_REENTRANT -fno-strict-aliasing -fno-exceptions -fno-rtti

GCCV8 := $(shell expr `g++ -dumpversion | cut -f1 -d.` \>= 8)
ifeq "$(GCCV8)" "1"
 BASEFLAGS += -Wno-class-memaccess
endif

CXXFLAGS := $(if $(CXXFLAGS),$(BASEFLAGS) $(CXXFLAGS),$(BASEFLAGS))

ifneq (,$(filter %release %static, $(MAKECMDGOALS)))
  # -- release build
  CXXFLAGS := -g -O3 -DNDEBUG -std=c++0x $(CXXFLAGS)
else
  ifneq (,$(filter %profile %gprof %prof, $(MAKECMDGOALS)))
    CXXFLAGS += -pg -O0 -DNDEBUG -std=c++0x
    LDFLAGS += -pg
  else
    #CXXFLAGS += -g -O0 -DNDEBUG
    CXXFLAGS += -g -O0 -DDEBUG -D_DEBUG -DGDEBUG -std=c++0x
  endif
  ifneq (,$(filter %memcheck %memdebug, $(MAKECMDGOALS)))
     #use sanitizer in gcc 4.9+
     MEMCHECK_BUILD := 1
     GCCVER49 := $(shell expr `g++ -dumpversion | cut -f1,2 -d.` \>= 4.9)
     ifeq "$(GCCVER49)" "0"
       $(error gcc version 4.9 or greater is required for this build target)
     endif
     CXXFLAGS += -fno-omit-frame-pointer -fsanitize=undefined -fsanitize=address
     GCCVER5 := $(shell expr `g++ -dumpversion | cut -f1 -d.` \>= 5)
     ifeq "$(GCCVER5)" "1"
       CXXFLAGS += -fsanitize=bounds -fsanitize=float-divide-by-zero -fsanitize=vptr
       CXXFLAGS += -fsanitize=float-cast-overflow -fsanitize=object-size
       #CXXFLAGS += -fcheck-pointer-bounds -mmpx
     endif
     CXXFLAGS += -fno-common -fstack-protector
     LIBS := -lasan -lubsan -ldl $(LIBS)
  else
     #just plain debug build
     DEBUG_BUILD := 1
  endif
endif

#ifneq (,$(filter %memtrace %memusage %memuse, $(MAKECMDGOALS)))
#    CXXFLAGS += -DGMEMTRACE
#    OBJS += ${GDIR}/proc_mem.o
#endif

#ifdef DEBUG_BUILD
#  #$(warning Building DEBUG version of stringtie.. )
#  DBG_WARN=@echo
#  DBG_WARN+='WARNING: built DEBUG version [much slower], use "make clean release" for a faster, optimized version of the program.'
#endif

%.o : %.cpp
	${CXX} ${CXXFLAGS} -c $< -o $@

# C/C++ linker

OBJS := ${GCLDIR}/GBase.o ${GCLDIR}/GArgs.o ${GCLDIR}/GFaSeqGet.o \
 ${GCLDIR}/gdna.o ${GCLDIR}/codons.o ${GCLDIR}/gff.o ${GCLDIR}/GStr.o \
 ${GCLDIR}/GFastaIndex.o gff_utils.o
 
.PHONY : all

nodebug: release
all release debug memcheck memdebug profile gprof prof: gffread

$(OBJS) : $(GCLDIR)/GBase.h $(GCLDIR)/gff.h
gffread.o : gff_utils.h $(GCLDIR)/GBase.h $(GCLDIR)/gff.h
gff_utils.o : gff_utils.h $(GCLDIR)/gff.h
${GCLDIR}/gff.o : ${GCLDIR}/gff.h ${GCLDIR}/GFaSeqGet.h ${GCLDIR}/GList.hh ${GCLDIR}/GHash.hh
${GCLDIR}/GFaSeqGet.o : ${GCLDIR}/GFaSeqGet.h
gffread: $(OBJS) gffread.o
	${LINKER} ${LDFLAGS} -o $@ ${filter-out %.a %.so, $^} ${LIBS}
#	@echo
#	${DBG_WARN}


# target for removing all object files

.PHONY : clean
clean:
	@${RM} gffread gffread.o* gffread.exe $(OBJS)
	@${RM} core.*

=== debian/changelog ===
gffread (0.11.2-1) unstable; urgency=medium

  * Initial release (Closes: #930545)

 -- Andreas Tille <tille@debian.org>  Sat, 15 Jun 2019 00:51:54 +0200

=== debian/control ===
Source: gffread
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 12~),
               libgclib-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/gffread
Vcs-Git: https://salsa.debian.org/med-team/gffread.git
Homepage: https://github.com/gpertea/gffread

Package: gffread
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GFF/GTF format conversions, region filtering, FASTA sequence extraction
 Gffread is a GFF/GTF parsing utility providing format conversions,
 region filtering, FASTA sequence extraction and more.

## gffread 0.11.4

=== debian/changelog ===
gffread (0.11.4-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Thu, 08 Aug 2019 11:54:09 +0200

=== debian/control ===
Source: gffread
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libgclib-dev
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/med-team/gffread
Vcs-Git: https://salsa.debian.org/med-team/gffread.git
Homepage: https://github.com/gpertea/gffread

Package: gffread
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: GFF/GTF format conversions, region filtering, FASTA sequence extraction
 Gffread is a GFF/GTF parsing utility providing format conversions,
 region filtering, FASTA sequence extraction and more.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export GCLDIR=/usr/include/gclib

%:
	dh $@

### When overriding auto_test make sure DEB_BUILD_OPTIONS will be respected
#override_dh_auto_test:
#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#	do_stuff_for_testing
#endif

## gffread 0.11.5

=== debian/changelog ===
gffread (0.11.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add breaks/replaces on cufflinks (<< 2.2.1+dfsg.1-4). (Closes: #940915)
  * Set upstream metadata fields: Name.
  * Add autopkgtest

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 25 Sep 2019 12:50:00 +0200

gffread (0.11.4-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Pass LINKER to make. (Closes: #940692)

 -- Andreas Tille <tille@debian.org>  Thu, 19 Sep 2019 11:58:41 +0200

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,8 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Breaks: cufflinks (<< 2.2.1+dfsg.1-4)
+Replaces: cufflinks (<< 2.2.1+dfsg.1-4)
 Description: GFF/GTF format conversions, region filtering, FASTA sequence extraction
  Gffread is a GFF/GTF parsing utility providing format conversions,
  region filtering, FASTA sequence extraction and more.

## gffread 0.11.6

=== debian/changelog ===
gffread (0.11.6-1) unstable; urgency=medium

  * Another test exemption from rtracklayer
  * New upstream version
  * Set upstream metadata fields: Repository.
  * Remove obsolete fields Name from debian/upstream/metadata.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 07 Nov 2019 13:58:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: gffread
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
-               libgclib-dev
+               libgclib-dev (>= 0.11.3)
 Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/gffread
 Vcs-Git: https://salsa.debian.org/med-team/gffread.git

## gffread 0.11.7

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,8 @@
 LDFLAGS := $(if $(LDFLAGS),$(LDFLAGS),-g)
 
 BASEFLAGS  := -Wall -Wextra ${SEARCHDIRS} -D_FILE_OFFSET_BITS=64 \
--D_LARGEFILE_SOURCE -D_REENTRANT -fno-strict-aliasing -fno-exceptions -fno-rtti
+-D_LARGEFILE_SOURCE -D_REENTRANT -fno-strict-aliasing \
+ -std=c++0x -fno-exceptions -fno-rtti
 
 GCCV8 := $(shell expr `g++ -dumpversion | cut -f1 -d.` \>= 8)
 ifeq "$(GCCV8)" "1"
@@ -21,14 +22,14 @@
 
 ifneq (,$(filter %release %static, $(MAKECMDGOALS)))
   # -- release build
-  CXXFLAGS := -g -O3 -DNDEBUG -std=c++0x $(CXXFLAGS)
+  CXXFLAGS := -g -O3 -DNDEBUG $(CXXFLAGS)
 else
   ifneq (,$(filter %profile %gprof %prof, $(MAKECMDGOALS)))
-    CXXFLAGS += -pg -O0 -DNDEBUG -std=c++0x
+    CXXFLAGS += -pg -O0 -DNDEBUG
     LDFLAGS += -pg
   else
     #CXXFLAGS += -g -O0 -DNDEBUG
-    CXXFLAGS += -g -O0 -DDEBUG -D_DEBUG -DGDEBUG -std=c++0x
+    CXXFLAGS += -g -O0 -DDEBUG -D_DEBUG -DGDEBUG
   endif
   ifneq (,$(filter %memcheck %memdebug, $(MAKECMDGOALS)))
      #use sanitizer in gcc 4.9+

=== debian/changelog ===
gffread (0.11.7-2) unstable; urgency=medium

  [ Steffen Moeller ]
  * Standards-Version: 4.5.0

  [ Michael R. Crusoe ]
  * debian/tests/run-tests: s/ADTTMP/AUTOPKGTEST_TMP/g
  * Explicity depend on the newer libgclib-dev

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 14 Feb 2020 14:22:24 +0100

gffread (0.11.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0

 -- Steffen Moeller <moeller@debian.org>  Mon, 27 Jan 2020 11:04:06 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
-               libgclib-dev (>= 0.11.3)
-Standards-Version: 4.4.0
+               libgclib-dev (>= 0.11.4)
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/gffread
 Vcs-Git: https://salsa.debian.org/med-team/gffread.git
-Homepage: https://github.com/gpertea/gffread
+Homepage: https://ccb.jhu.edu/software/stringtie/gff.shtml
 
 Package: gffread
 Architecture: any

=== debian/tests/control ===
Tests: run-tests
Depends: gffread, bash, augustus-doc, bedtools-test, cnvkit, emboss-data, emboss-test, gbrowse, genometools-common, gff2aplot, gff2ps, htslib-test, libbio-graphics-perl, optimir, proteinortho, python3-gffutils, python3-pybedtools, r-bioc-genomicfeatures, r-bioc-gviz, r-bioc-rhtslib, r-bioc-rtracklayer, seqan-apps, spades, trinityrnaseq-examples

## gffread 0.11.8

=== debian/changelog ===
gffread (0.11.8-1) unstable; urgency=medium

  * Adjust the autopkgtests to exclude the spades dependency on !amd64
  * New upstream version
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 03 Apr 2020 11:43:09 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
-               libgclib-dev (>= 0.11.4)
+               libgclib-dev
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/gffread
 Vcs-Git: https://salsa.debian.org/med-team/gffread.git
 Homepage: https://ccb.jhu.edu/software/stringtie/gff.shtml
+Rules-Requires-Root: no
 
 Package: gffread
 Architecture: any

## gffread 0.12.1

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 -D_LARGEFILE_SOURCE -D_REENTRANT -fno-strict-aliasing \
  -std=c++0x -fno-exceptions -fno-rtti
 
-GCCV8 := $(shell expr `g++ -dumpversion | cut -f1 -d.` \>= 8)
+GCCV8 := $(shell expr `${CXX} -dumpversion | cut -f1 -d.` \>= 8)
 ifeq "$(GCCV8)" "1"
  BASEFLAGS += -Wno-class-memaccess
 endif
@@ -34,12 +34,12 @@
   ifneq (,$(filter %memcheck %memdebug, $(MAKECMDGOALS)))
      #use sanitizer in gcc 4.9+
      MEMCHECK_BUILD := 1
-     GCCVER49 := $(shell expr `g++ -dumpversion | cut -f1,2 -d.` \>= 4.9)
+     GCCVER49 := $(shell expr `${CXX} -dumpversion | cut -f1,2 -d.` \>= 4.9)
      ifeq "$(GCCVER49)" "0"
        $(error gcc version 4.9 or greater is required for this build target)
      endif
      CXXFLAGS += -fno-omit-frame-pointer -fsanitize=undefined -fsanitize=address
-     GCCVER5 := $(shell expr `g++ -dumpversion | cut -f1 -d.` \>= 5)
+     GCCVER5 := $(shell expr `${CXX} -dumpversion | cut -f1 -d.` \>= 5)
      ifeq "$(GCCVER5)" "1"
        CXXFLAGS += -fsanitize=bounds -fsanitize=float-divide-by-zero -fsanitize=vptr
        CXXFLAGS += -fsanitize=float-cast-overflow -fsanitize=object-size
@@ -75,8 +75,10 @@
  
 .PHONY : all
 
-nodebug: release
-all release debug memcheck memdebug profile gprof prof: gffread
+all release debug memcheck memdebug profile gprof prof: ../gclib gffread
+
+../gclib:
+	git clone https://github.com/gpertea/gclib.git ../gclib
 
 $(OBJS) : $(GCLDIR)/GBase.h $(GCLDIR)/gff.h
 gffread.o : gff_utils.h $(GCLDIR)/GBase.h $(GCLDIR)/gff.h

=== debian/changelog ===
gffread (0.12.1-4) unstable; urgency=medium

  * Team upload.
  * Skip some new AUGUSTUS GTFs that are likely bad, causing autopkgtests to
    fail.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 08 Jan 2021 08:52:52 +0100

gffread (0.12.1-3) unstable; urgency=medium

  * Team upload
  * Fix a typo in ppc64el autopkgtest

 -- Graham Inggs <ginggs@debian.org>  Sun, 06 Dec 2020 06:09:58 +0000

gffread (0.12.1-2) unstable; urgency=medium

  * Team upload
  * Skip two failing tests from gff2aplot that were not run
    previously due to being compressed (Closes: #962553)
  * Adjust autopkgtest dependencies for various architectures
  * Bump Standards-Version to 4.5.1, no changes

 -- Graham Inggs <ginggs@debian.org>  Sat, 05 Dec 2020 23:56:29 +0000

gffread (0.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Build-depends on newer version of libgclib.
  * Don't depend on creating a checkout of gclib during build
  * Added myself to uploaders.

 -- Steffen Moeller <moeller@debian.org>  Sat, 08 Aug 2020 22:51:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: gffread
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
-           Michael R. Crusoe <michael.crusoe@gmail.com>
+           Michael R. Crusoe <crusoe@debian.org>,
+           Steffen Moeller <moeller@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               libgclib-dev
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13),
+               libgclib-dev (>= 0.11.10)
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/gffread
 Vcs-Git: https://salsa.debian.org/med-team/gffread.git
 Homepage: https://ccb.jhu.edu/software/stringtie/gff.shtml

=== debian/tests/control ===
Tests: run-tests
Depends: gffread, bash, augustus-doc, bedtools-test, cnvkit [amd64 arm64 ppc64el], emboss-data, emboss-test, gbrowse, genometools-common, gff2aplot, gff2ps, htslib-test, libbio-graphics-perl, optimir [amd64 arm64 ppc64el], proteinortho [amd64 arm64 ppc64el s390x], python3-gffutils, python3-pybedtools [amd64 arm64 ppc64el], r-bioc-genomicfeatures, r-bioc-gviz, r-bioc-rhtslib, r-bioc-rtracklayer, seqan-apps, spades [amd64], trinityrnaseq-examples, dpkg-dev

=== debian/watch ===
version=4

https://github.com/gpertea/gffread/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## gffread 0.12.7

=== Makefile ===
--- 
+++ 
@@ -9,9 +9,9 @@
 
 LDFLAGS := $(if $(LDFLAGS),$(LDFLAGS),-g)
 
-BASEFLAGS  := -Wall -Wextra ${SEARCHDIRS} -D_FILE_OFFSET_BITS=64 \
--D_LARGEFILE_SOURCE -D_REENTRANT -fno-strict-aliasing \
- -std=c++0x -fno-exceptions -fno-rtti
+BASEFLAGS  := -Wall -Wextra -std=c++11 ${SEARCHDIRS} -D_FILE_OFFSET_BITS=64 \
+ -D_LARGEFILE_SOURCE -D_REENTRANT -fno-strict-aliasing \
+ -fno-exceptions -fno-rtti
 
 GCCV8 := $(shell expr `${CXX} -dumpversion | cut -f1 -d.` \>= 8)
 ifeq "$(GCCV8)" "1"
@@ -22,8 +22,12 @@
 
 ifneq (,$(filter %release %static, $(MAKECMDGOALS)))
   # -- release build
-  CXXFLAGS := -g -O3 -DNDEBUG $(CXXFLAGS)
-else
+  LIBS := 
+  ifneq (,$(findstring static,$(MAKECMDGOALS)))
+    LDFLAGS += -static-libstdc++ -static-libgcc
+  endif
+  CXXFLAGS := -O3 -DNDEBUG $(CXXFLAGS)
+else #debug builds
   ifneq (,$(filter %profile %gprof %prof, $(MAKECMDGOALS)))
     CXXFLAGS += -pg -O0 -DNDEBUG
     LDFLAGS += -pg
@@ -75,7 +79,7 @@
  
 .PHONY : all
 
-all release debug memcheck memdebug profile gprof prof: ../gclib gffread
+all static release debug memcheck memdebug profile gprof prof: ../gclib gffread
 
 ../gclib:
 	git clone https://github.com/gpertea/gclib.git ../gclib
@@ -83,7 +87,7 @@
 $(OBJS) : $(GCLDIR)/GBase.h $(GCLDIR)/gff.h
 gffread.o : gff_utils.h $(GCLDIR)/GBase.h $(GCLDIR)/gff.h
 gff_utils.o : gff_utils.h $(GCLDIR)/gff.h
-${GCLDIR}/gff.o : ${GCLDIR}/gff.h ${GCLDIR}/GFaSeqGet.h ${GCLDIR}/GList.hh ${GCLDIR}/GHash.hh
+${GCLDIR}/gff.o : ${GCLDIR}/gff.h ${GCLDIR}/GFaSeqGet.h ${GCLDIR}/GList.hh
 ${GCLDIR}/GFaSeqGet.o : ${GCLDIR}/GFaSeqGet.h
 gffread: $(OBJS) gffread.o
 	${LINKER} ${LDFLAGS} -o $@ ${filter-out %.a %.so, $^} ${LIBS}

=== debian/changelog ===
gffread (0.12.7-4build1) noble; urgency=medium

  * No-change rebuild against libgclib3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 22 Apr 2024 03:06:46 +0000

gffread (0.12.7-4) unstable; urgency=medium

  * Team upload.
  * d/t/*: work around uninstallable packages.
    The change involves not testing gffread anymore against trinityrnaseq
    until it is back to testing, and not testing against R BioC modules
    until libboost 1.81 transition is finished. (Closes: #1033703)
  * Update standards version to 4.6.2, no changes needed.

 -- Étienne Mollier <emollier@debian.org>  Tue, 20 Jun 2023 21:03:42 +0200

gffread (0.12.7-3) unstable; urgency=medium

  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 18 Nov 2022 12:14:12 +0100

gffread (0.12.7-2) unstable; urgency=medium

  * Rebuild against new libgclib

 -- Andreas Tille <tille@debian.org>  Fri, 03 Dec 2021 11:37:16 +0100

gffread (0.12.7-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Fix watchfile to detect new versions on github
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Autopkgtest: Restrictions: allow-stderr

  [ Michael R. Crusoe ]
  * debian/watch: rename downloaded file into something sensible

 -- Andreas Tille <tille@debian.org>  Wed, 13 Oct 2021 17:11:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: gffread
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
            Michael R. Crusoe <crusoe@debian.org>,
            Steffen Moeller <moeller@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               libgclib-dev (>= 0.11.10)
-Standards-Version: 4.5.1
+               libgclib-dev
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/gffread
 Vcs-Git: https://salsa.debian.org/med-team/gffread.git
 Homepage: https://ccb.jhu.edu/software/stringtie/gff.shtml

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,9 @@
 %:
 	dh $@
 
+override_dh_auto_build:
+	dh_auto_build -- 'LINKER=$$(CXX)'
+
 ### When overriding auto_test make sure DEB_BUILD_OPTIONS will be respected
 #override_dh_auto_test:
 #ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

=== debian/tests/control ===
Tests: run-tests
# FIXME: put back trinityrnaseq-examples when available in testing.
# FIXME: put back r-bioc-gviz, r-bioc-genomicfeatures, r-bioc-rhtslib
#        and r-bioc-rtracklayer, when boost 1.81 transition is ended.
Depends: gffread, bash, augustus-doc, bedtools-test, cnvkit [amd64 arm64 ppc64el], emboss-data, emboss-test, gbrowse, genometools-common, gff2aplot, gff2ps, htslib-test, libbio-graphics-perl, optimir [amd64 arm64 ppc64el], proteinortho [amd64 arm64 ppc64el s390x], python3-gffutils, python3-pybedtools [amd64 arm64 ppc64el], seqan-apps, spades [amd64], dpkg-dev
Restrictions: allow-stderr
